//
//  ELApplicationController.h
//  ELKit
//
//  Created by Douglas Welton on 8/2/09.
//  Copyright 2009 einstein's legacy. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>
#import "ELAboutBox.h"
#import "ELWelcomePanel.h"
#import "ELRegistrationWindowController.h"
#import "ELUtilityFunctions.h"

#import "ELASD.h"

@interface ELApplicationController : NSObject <NSApplicationDelegate, NSURLDownloadDelegate>
{
	NSDictionary						*applicationSpecificData;
    NSDictionary                        *socialMediaLinks;

	ELAboutBox							*aboutBoxController;
	ELRegistrationWindowController		*registrationController;
    ELWelcomePanel                      *welcomePanel;
	}

@property (retain)	NSDictionary                    *applicationSpecificData;
@property (retain)	NSDictionary                    *socialMediaLinks;

@property (retain)	ELAboutBox						*aboutBoxController;
@property (retain)	ELRegistrationWindowController	*registrationController;
@property (retain)	ELWelcomePanel                  *welcomePanel;


- (void) loadApplicationSpecificData;
- (void) verifyApplicationSpecificData;

- (IBAction) showProductWebsite: (id)sender;
- (IBAction) showCompanyWebsite: (id)sender;
- (IBAction) sendProductFeedback: (id)sender;

- (IBAction) showAboutBox: (id)sender;
- (IBAction) showPreferencePanel: (id)sender;
- (IBAction) showRegistrationWindow: (id)sender;
- (IBAction) showDemoExpiredWindow: (id)sender;
- (IBAction) showWelcomeWindow: (id)sender;

- (IBAction) showMailingListSignUp: (id)sender;
- (IBAction) showFacebook: (id)sender;
- (IBAction) showTwitter: (id)sender;
- (IBAction) showTumblr: (id)sender;

-(IBAction) showThankYou: (id)sender;


@end
