//
//  ELDocumentController.h
//  ELKit
//
//  Created by Douglas Welton on 8/3/09.
//  Copyright 2009 einstein's legacy. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "ELAboutBox.h"
#import "ELWelcomePanel.h"
#import "ELRegistrationWindowController.h"
#import "ELUtilityFunctions.h"
#import "ELNewsBrowser.h"
#import "ELJoinMailingListWindowController.h"

#import "ELASD.h"

@interface ELDocumentController : NSDocumentController <NSApplicationDelegate>
{
	NSDictionary						*applicationSpecificData;
    NSDictionary                        *socialMediaLinks;
    
	ELAboutBox							*aboutBoxController;
	ELRegistrationWindowController		*registrationController;
    ELWelcomePanel                      *welcomePanel;
    ELNewsBrowser                       *newsBrowser;
    ELJoinMailingListWindowController   *mailListPanel;
	}

@property (retain)	NSDictionary                        *applicationSpecificData;
@property (retain)	NSDictionary                        *socialMediaLinks;

@property (retain)	ELAboutBox                          *aboutBoxController;
@property (retain)	ELRegistrationWindowController      *registrationController;
@property (retain)	ELWelcomePanel                      *welcomePanel;
@property (retain)	ELNewsBrowser                       *newsBrowser;
@property (retain)  ELJoinMailingListWindowController   *mailListPanel;

- (void) loadApplicationSpecificData;
- (void) verifyApplicationSpecificData;

- (IBAction) showProductWebsite: (id)sender;
- (IBAction) showCompanyWebsite: (id)sender;
- (IBAction) sendProductFeedback: (id)sender;

- (IBAction) showAboutBox: (id)sender;
- (IBAction) showPreferencePanel: (id)sender;
- (IBAction) showRegistrationWindow: (id)sender;
- (IBAction) showDemoExpiredWindow: (id)sender;
- (IBAction) showWelcomeWindow: (id)sender;

- (IBAction) showFacebook: (id)sender;
- (IBAction) showTwitter: (id)sender;
- (IBAction) showTumblr: (id)sender;

-(IBAction) showThankYou: (id)sender;

-(IBAction) showNews: (id)sender;
-(IBAction) showJoinMailingList: (id)sender;

- (IBAction) showPaddleRegistrationPanel: (id)sender;
- (IBAction) showPaddleStore: (id)sender;

@end


