//
//  ELWelcomePanel.h
//  ELKit
//
//  Created by Douglas Welton on 8/2/09.
//  Copyright 2009 einstein's legacy. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "ELColorBoxView.h"

typedef NS_ENUM( NSInteger, RecentTabIndexType )
        {
          kRecentItemsAvailable = 0,
          kRecentItemsNotAvailable = 1
          };

typedef NS_ENUM( NSInteger, StateType )
        {
          kNominalState = 0,
          kLastWindowOpened = 1,
          kLastWindowClosed = 2
          };

@interface ELWelcomePanel : NSWindowController
{
    IBOutlet ELColorBoxView             *backgroundView;
    IBOutlet NSTabView                  *recentItemsTab;
    IBOutlet NSArrayController          *recentItemsController;
    
    IBOutlet NSTableView                *recentDocumentsTableView;
    
    IBOutlet NSButton                   *helpButton;
    IBOutlet NSButton                   *webButton;

	NSImage                             *applicationIconImage;
	NSImage                             *documentIconImage;
    
    NSString                            *applicationVersion;
    NSString                            *welcomeText;
    
    NSMutableArray                      *recentItems;
    NSInteger                            recentTabIndex;
    BOOL                                 hasRecentProjects;
    
    NSInteger                            state;
	}                                    

@property (retain)  NSImage             *applicationIconImage;
@property (retain)  NSImage             *documentIconImage;

@property (retain)  NSString            *applicationVersion;
@property (retain)  NSString            *welcomeText;
    
@property (retain)  NSMutableArray      *recentItems;
@property           NSInteger            recentTabIndex;
@property           BOOL                 hasRecentProjects;

@property           NSInteger            state;

+ (instancetype) welcomePanel;

- (IBAction) createNewProject: (id)sender;
- (IBAction) visitProductWebsite: (id)sender;
- (IBAction) openRecentProject: (id)sender;

@end
